Bug 1007846 - Missing file in META-INF.services
Missing file in META-INF.services
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.1
Unspecified Unspecified
unspecified Severity low
: GA
: EAP 6.3.0
Assigned To: sgilda
Russell Dickenson
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-13 08:59 EDT by Thomas
Modified: 2014-09-29 14:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build: CSProcessor Builder Version 1.12 Build Name: 19234, Development Guide-6.1-1 Build Date: 05-09-2013 11:02:03 Topic ID: 9154-473006 [Specified]
Last Closed: 2014-08-06 10:36:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas 2013-09-13 08:59:13 EDT
Title: Implement an HA Singleton

Describe the issue:
The HASingleton Service will not start.


Suggestions for improvement:
The documentation should mention that there must be a file in META-INF.services of name 'org.jboss.msc.service.ServiceActivator' with the one line content of
'my.path.MyCoolHATimerServiceActivator'


Additional information:
The file is in the Git repository that can be reached through http://www.jboss.org/jdf/quickstarts/jboss-as-quickstart/cluster-ha-singleton/#start_jboss_enterprise_application_platform_6_or_jboss_as_7_with_a_ha_profile
Comment 2 sgilda 2014-06-26 09:12:04 EDT
This can be verified at the above link.

Note You need to log in before you can comment on or make changes to this bug.